﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartToBeHosted
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 1; i < 10; i++)
            {
                Data.Add(new SampleData()
                {
                    Label = "Label " + i.ToString(),
                    Value1 = r.Next(1, 5),
                    Value2 = r.Next(5, 10)
                });
            }
        }
    }

    public class SampleData
    {
        public string Label { get; set; }
        public int Value1 { get; set; }
        public int Value2 { get; set; }
    }
}
